Summary: A GTK+ HTML editor for the experienced web designer or programmer.
Name: bluefish
Version: 0.6
Release: fr1
Group: Development/Tools
Copyright: GPL
URL: http://bluefish.openoffice.nl/
Source: http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, imlib
BuildRequires: gtk+-devel, imlib-devel

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.

%prep
%setup -q

%build
export CC="kgcc"
%configure
make pkgdatadir=%{_libdir}/bluefish

%install
rm -rf %{buildroot}
%makeinstall \
	pkgdatadir=%{buildroot}%{_libdir}/bluefish \
	pixmapsdir=%{buildroot}%{_datadir}/pixmaps \
	mandir=%{buildroot}%{_mandir}/man1
install -D -m 644 bluefish.wmconfig %{buildroot}%{_sysconfdir}/X11/wmconfig/bluefish

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Development
cat << EOF > %{buildroot}%{_datadir}/gnome/apps/Development/bluefish.desktop
[Desktop Entry]
Name=Bluefish
Comment=HTML editor
TryExec=bluefish
Exec=bluefish
Icon=bluefish_icon.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog BUGS AUTHORS NEWS TODO manual
%{_sysconfdir}/X11/wmconfig/bluefish
%{_datadir}/gnome/apps/Development/bluefish.desktop
%{_bindir}/bluefish
%{_mandir}/man1/bluefish.1*
%{_datadir}/locale/*/LC_MESSAGES/bluefish.mo
%{_libdir}/bluefish
%{_datadir}/pixmaps/bluefish*

%changelog
* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Added a GNOME desktop entry.
- Compiled with kgcc and reported the problems encountered with gcc 2.96.

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

